Skip to main content
GET
/
i
/
{token}
Get public invoice view
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/i/{token}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "documentNumber": "<string>",
  "currency": "<string>",
  "customerName": "<string>",
  "organisationName": "<string>",
  "totalAmount": 123,
  "amountPaid": 123,
  "amountDue": 123,
  "issueDate": "2023-11-07T05:31:56Z",
  "dueDate": "2023-11-07T05:31:56Z",
  "memo": "<string>",
  "organisationLogoUrl": "<string>",
  "organisationPrimaryColour": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

token
string
required

Response

OK

documentNumber
string
required
currency
string
required
customerName
string
required
organisationName
string
required
totalAmount
amountPaid
amountDue
issueDate
string<date-time>
dueDate
null | string<date-time>
status
enum<string>
Available options:
Draft,
Sent,
Paid,
Void,
PartiallyPaid
memo
null | string
organisationLogoUrl
null | string
organisationPrimaryColour
null | string